Bug 524071 - Review Request: lunatic-python - Two-way bridge between Python and Lua
Summary: Review Request: lunatic-python - Two-way bridge between Python and Lua
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-17 19:04 UTC by Michel Alexandre Salim
Modified: 2010-07-13 16:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-13 16:00:08 UTC
tibbs: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2009-09-17 19:04:52 UTC
Spec URL: http://salimma.fedorapeople.org/specs/funpl/lunatic-python.spec
SRPM URL: http://salimma.fedorapeople.org/specs/funpl/lunatic-python-1.0-1.fc12.src.rpm
Description:
Lunatic Python is a two-way bridge between Python and Lua, allowing
these languages to intercommunicate. Being two-way means that it
allows Lua inside Python, Python inside Lua, Lua inside Python inside
Lua, Python inside Lua inside Python, and so on.

See spec's URL field for a set of examples to test this package on. I plan to add unit tests once lua-lunit enters Fedora.

Comment 1 Michel Alexandre Salim 2009-09-18 03:08:07 UTC
Updated SRPM:
http://salimma.fedorapeople.org/specs/funpl/lunatic-python-1.0.1-0.1.bzr20090917.fc12.src.rpm

Upstream has made some changes since 1.0; the code for this package is based on 
a branch I made in Launchpad, that I have submitted for merging.

Comment 2 Jason Tibbitts 2009-09-23 21:49:05 UTC
When naming prereleases, the date in YYYYMMDD format goes before any tag like "bzr" or "svn": http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages

Builds fine and rpmlint is silent.

I note this package provides lua.so and python.so, which is rather unfortunate.  I have no idea what you could do about it.  The only dependency filtering mechanism I know of can't be used on arch-specific packages.


* source files match upstream (checked out and compared manually).      
X package version oes not meet guidelines for snapshot packages.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
? final provides and requires:
?  lua.so()(64bit)
?  python.so()(64bit)
   lunatic-python = 1.0.1-0.1.bzr20090917.fc12
   lunatic-python(x86-64) = 1.0.1-0.1.bzr20090917.fc12
  =
   liblua-5.1.so()(64bit)
   libpython2.6.so.1.0()(64bit)
   python(abi) = 2.6

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Comment 3 Michel Alexandre Salim 2009-09-23 22:52:35 UTC
the python.so Lua module used to be python.lua, but upstream rewrote it as a C module instead. But really, this package only depends on base Python and Lua.

Are you worried that the python.so() Provides: is too generic? (xchat-gnome provides it as well, which I guess could be problematic if we ever have an application that depends on that same .so name)

Updated SRPM:
http://salimma.fedorapeople.org/specs/funpl/lunatic-python-1.0.1-0.2.20090917bzr.fc12.src.rpm

Comment 4 Jason Tibbitts 2009-10-14 19:20:25 UTC
So sorry for taking so long to get back to this; I simply ran out of time.

So, the versioning looks good now, and that was my only real complaint.  My concern is indeed that we have multiple packages providing python.so, but again, I don't think you can fix this at this time.  I have heard that upstream rpm is growing the means to apply dependency filters without nasty hacks (like disabling the dependency generator) and at that point it would be good to remove those "extra" dependencies.

Anyway, this looks good to me now.  Again, sorry for taking so long with this.

APPROVED

Comment 5 Jason Tibbitts 2010-01-08 02:44:21 UTC
Anything happening here?

Comment 6 Gwyn Ciesla 2010-06-29 13:54:34 UTC
I didn't see this, and submitted https://bugzilla.redhat.com/show_bug.cgi?id=590738.  This package looks much better than mine.  Since it's approved, but Michel isn't apparently doing anything with it, can I submit a CVS admin request for it with me as owner and Michel as co-maintainer?

Comment 7 Gwyn Ciesla 2010-07-07 12:27:39 UTC
Tibbs, do you object/approve?

Comment 8 Gwyn Ciesla 2010-07-13 12:43:42 UTC
Ok, no objections, let's give it the old college try.  Someone say something if you have a problem with me doing this.

New Package CVS Request
=======================
Package Name: lunatic-python
Short Description: Two-way bridge between Python and Lua
Owners: limb
Branches: 
InitialCC: 

Not requesting anything but devel, because it needs a patch only in rawhide.

Comment 9 Tom "spot" Callaway 2010-07-13 15:38:14 UTC
CVS done (by process-cvs-requests.py).

Comment 10 Gwyn Ciesla 2010-07-13 15:47:47 UTC
Thanks!

Comment 11 Gwyn Ciesla 2010-07-13 16:00:08 UTC
Imported and built.


Note You need to log in before you can comment on or make changes to this bug.